KDE 4.7 PyKDE API Reference

- KDE's Python API

# KTipDatabase Class Reference

`from PyKDE4.kdeui import *`

## Detailed Description

A database for tips-of-the-day.

This class provides convenient access to a database containing tips of the day. The database is stored in a XML file and parsed when a KTipDatabase object is created.

Once the file is read in, you can access the tips to display them in the tip of the day dialog.

The state of the tipdialog is saved to the applications's config file in the group "TipOfDay" with a bool entry "RunOnStart". Check this value if you want to allow the user to enable/disable the tipdialog in the application's configuration dialog.

"KDE Tip-of-the-Day Dialog"

Author:
  Matthias Hoelzer-Kluepfel <mhk@kde.org>

## Methods
| __init__ (self, QString tipFile=QString())
| __init__ (self, QStringList tipFiles)
| __init__ (self, KTipDatabase a0)
| nextTip (self)
| prevTip (self)
QString | tip (self)

## Method Documentation

__init__ | ( | self, |
|  | QString | tipFile=QString()
| ) |  |  |

This constructor reads in the tips from a file with the given name. If no name is given, a file called 'application-name/tips' will be loaded.

Parameters:

  | tipFile | The absolute path to the tips file.

__init__ | ( | self, |
|  | QStringList | tipFiles
| ) |  |  |

This constructor takes a list of files that will be merged. This constructor essentially behaves like the one above. It returns when tipFiles is empty.

Parameters:

  | tipFiles | A list of absolute paths to the tips file

__init__ | ( | self, |
|  | KTipDatabase | a0
| ) |  |  |

nextTip | ( |  | self ) |

The next tip will become the current one.

prevTip | ( |  | self ) |

The previous tip will become the current one.

QString tip | ( |  | self ) |

Returns the current tip.